Name:		openteacher		
Version:	2.3
Release:	1%{?dist}
Summary:	An application that helps you learn a foreign language		
License:	GPLv3+
URL:		http://www.openteacher.org
Source0:	https://launchpad.net/openteacher/2.x/2.3/+download/%{name}-%{version}-source.tar.gz
Source1:	openteacher.1
Patch1:		openteacher-fix-setup-version_and_fix_desktop.patch
BuildRequires:	python-devel
Requires:	PyQt4
BuildArch:	noarch	

%description
OpenTeacher has the following features:
- Smart question asking and interval training
- Think answer, shuffle answer and repeat answer input modes
- Easy symbol, Greek and Cyrillic input
- Read and write T2K (Teach2000), WRTS and read ABBYY Lingvo Tutor files
- Save and open your online WRTS lists
- Print your word lists
- Available in different languages

%prep
%setup -q -c
%patch1 -p1

%build
python setup.py build


%install
python setup.py install --skip-build --root %{buildroot}

install -d %{buildroot}%{_datadir}/applications
install -m 644 linux/%{name}.desktop %{buildroot}%{_datadir}/applications/

install -d %{buildroot}%{_datadir}/icons/hicolor/48x48/apps
install -m 644 linux/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/

install -d %{buildroot}%{_datadir}/icons/hicolor/48x48/mimetypes
install -m 644 linux/application*.png %{buildroot}%{_datadir}/icons/hicolor/48x48/mimetypes/

install -d %{buildroot}%{_datadir}/mime/packages
install -m 644 linux/%{name}.xml %{buildroot}%{_datadir}/mime/packages/

install -d %{buildroot}%{_mandir}/man1
install -m 644 %{SOURCE1} %{buildroot}%{_mandir}/man1/

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :

%files
%doc COPYING NEWS README
%{_bindir}/%{name}
%{python_sitelib}/%{name}-2.3-py2.7.egg-info
%{python_sitelib}/%{name}/__init__.py
%{python_sitelib}/%{name}/__init__.pyc
%{python_sitelib}/%{name}/__init__.pyo
%{python_sitelib}/%{name}/api/__init__.py
%{python_sitelib}/%{name}/api/__init__.pyc
%{python_sitelib}/%{name}/api/__init__.pyo
%attr(0755,root,root) %{python_sitelib}/%{name}/api/wrts.py
%{python_sitelib}/%{name}/api/wrts.pyc
%{python_sitelib}/%{name}/api/wrts.pyo
%attr(0755,root,root) %{python_sitelib}/%{name}/errors.py
%{python_sitelib}/%{name}/errors.pyc
%{python_sitelib}/%{name}/errors.pyo
%attr(0755,root,root) %{python_sitelib}/%{name}/fileTypes.py
%{python_sitelib}/%{name}/fileTypes.pyc
%{python_sitelib}/%{name}/fileTypes.pyo
%{python_sitelib}/%{name}/gui/__init__.py
%{python_sitelib}/%{name}/gui/__init__.pyc
%{python_sitelib}/%{name}/gui/__init__.pyo
%{python_sitelib}/%{name}/gui/about.py
%{python_sitelib}/%{name}/gui/about.pyc
%{python_sitelib}/%{name}/gui/about.pyo
%{python_sitelib}/%{name}/gui/icons_rc.py
%{python_sitelib}/%{name}/gui/icons_rc.pyc
%{python_sitelib}/%{name}/gui/icons_rc.pyo
%{python_sitelib}/%{name}/gui/%{name}.py
%{python_sitelib}/%{name}/gui/%{name}.pyc
%{python_sitelib}/%{name}/gui/%{name}.pyo
%{python_sitelib}/%{name}/gui/settings.py
%{python_sitelib}/%{name}/gui/settings.pyc
%{python_sitelib}/%{name}/gui/settings.pyo
%{python_sitelib}/%{name}/gui/wrtsListChoice.py
%{python_sitelib}/%{name}/gui/wrtsListChoice.pyc
%{python_sitelib}/%{name}/gui/wrtsListChoice.pyo
%{python_sitelib}/%{name}/gui/wrtsLogin.py
%{python_sitelib}/%{name}/gui/wrtsLogin.pyc
%{python_sitelib}/%{name}/gui/wrtsLogin.pyo
%attr(0755,root,root) %{python_sitelib}/%{name}/%{name}.py
%{python_sitelib}/%{name}/%{name}.pyc
%{python_sitelib}/%{name}/%{name}.pyo
%{python_sitelib}/%{name}/resources.py
%{python_sitelib}/%{name}/resources.pyc
%{python_sitelib}/%{name}/resources.pyo
%attr(0755,root,root) %{python_sitelib}/%{name}/words.py
%{python_sitelib}/%{name}/words.pyc
%{python_sitelib}/%{name}/words.pyo
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/*/mimetypes/application*.png
%{_mandir}/man1/openteacher.1*

%changelog
* Sat Sep 29 2012 Eduardo Echeverria  <echevemaster@gmail.com> - 2.3-1
- Initial packaging

